View Issue Details

IDProjectCategoryView StatusLast Update
0024370LazarusIDEpublic2013-05-11 13:20
ReporterfpbtAssigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWin32OS VersionXP, Vista
Product Version1.1 (SVN)Product Build41008 
Target Version1.0.10Fixed in Version1.1 (SVN) 
Summary0024370: Expanding and collapsing code (4)
DescriptionExpanding and collapsing of a code works not correctly in the library.

look file.

Tested on Lazarus-1.1-41008-fpc-2.6.2-20130503-win32.exe
TagsNo tags attached.
Fixed in Revision41046
LazTarget1.0.10
Widgetset
Attached Files

Activities

fpbt

2013-05-03 10:57

reporter  

Test_09.png (7,511 bytes)
Test_09.png (7,511 bytes)

Martin Friebe

2013-05-03 14:07

manager   ~0067388

There is a similar case in include files.

In order to know if "procedure Foo" is a declaration or implementation it looks for the keywords "program" or "implementation". It should also look for "library"

In include files those are not present. So it ignores all procedure, up to the first "begin"

Martin Friebe

2013-05-06 11:59

manager   ~0067505

Please test and close if ok

fpbt

2013-05-11 13:20

reporter   ~0067638

tested on Lazarus-1.1-41121-fpc-2.6.3-20130511-win32.exe
closed

Issue History

Date Modified Username Field Change
2013-05-03 10:57 fpbt New Issue
2013-05-03 10:57 fpbt File Added: Test_09.png
2013-05-03 14:04 Martin Friebe Assigned To => Martin Friebe
2013-05-03 14:04 Martin Friebe Status new => assigned
2013-05-03 14:07 Martin Friebe Note Added: 0067388
2013-05-06 11:59 Martin Friebe Fixed in Revision => 41046
2013-05-06 11:59 Martin Friebe LazTarget => 1.0.10
2013-05-06 11:59 Martin Friebe Widgetset Win32/Win64 =>
2013-05-06 11:59 Martin Friebe Note Added: 0067505
2013-05-06 11:59 Martin Friebe Status assigned => resolved
2013-05-06 11:59 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-05-06 11:59 Martin Friebe Resolution open => fixed
2013-05-06 11:59 Martin Friebe Target Version => 1.0.10
2013-05-11 13:20 fpbt Note Added: 0067638
2013-05-11 13:20 fpbt Status resolved => closed